Endpoints
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID/audiences/test-audience-uuid/ \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
],
"body": {
"advertiser_id": "1234-abcd-qwer-xcvb",
"name": "Test audience new name",
"topics": ["topic 3", "topic 4"],
"type": 3
}
}'
{"Message": "Updated audience test-audience-uuid"}
PATCH /v2/companies/:companyUUID/audiences/:audienceUUID
| Parameter | Required | Type | Description |
|---|---|---|---|
| name | โ | string | Audience name |
| advertiser_id | โ | string | UUID of advertiser |
| type | โ | int | Audience type |
| tags | โ | array | Array of tags |
| first_party | โ | array | First party segments |
| liveramp_ids | โ | array | Liveramp IDs if type=2 |
| topics | โ | array/string | List of topics or โcsvโ |
